<?php

namespace App\Filament\Resources\PricelistFiles\Pages;

use App\Filament\Resources\PricelistFiles\PricelistFileResource;
use Filament\Actions\Action;
use App\Filament\Pages\PriceListProcessor;
use Filament\Resources\Pages\ListRecords;

class ListPricelistFiles extends ListRecords
{
    protected static string $resource = PricelistFileResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Action::make('create_pricelist')
                ->label('Új árlista felvitele')
                ->url(fn (): string => PriceListProcessor::getUrl())
                ->button()
                ->color('primary'),
        ];
    }
}
